Aller au contenu
Boud’bOis, doc vendeurs
Server Actions

devis

7 Server Actions du domaine devis, générées depuis le registre de l’API agent.

devis__browseStockForQuote

ArgumentTypeRequis
locationIdstringoui
filtersz.input<typeof filtersSchema>oui
withFacetsbooleanoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__browseStockForQuote",
  "args": [
    "<locationId>",
    "<filters>",
    "<withFacets>"
  ]
}'

devis__convertQuote

ArgumentTypeRequis
idstringoui
pickupAtstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__convertQuote",
  "args": [
    "<id>",
    "<pickupAt>"
  ]
}'

devis__createQuote

ArgumentTypeRequis
inputCreateQuoteInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__createQuote",
  "args": [
    "<input>"
  ]
}'

devis__remindQuoteCustomer

ArgumentTypeRequis
idstringoui
rawMessagestringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__remindQuoteCustomer",
  "args": [
    "<id>",
    "<rawMessage>"
  ]
}'

devis__searchCustomersForQuote

ArgumentTypeRequis
querystringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__searchCustomersForQuote",
  "args": [
    "<query>"
  ]
}'

devis__sendQuoteToCustomer

ArgumentTypeRequis
idstringoui
rawMessagestringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__sendQuoteToCustomer",
  "args": [
    "<id>",
    "<rawMessage>"
  ]
}'

devis__setQuoteStatus

ArgumentTypeRequis
idstringoui
statusQuoteStatusActionoui
reasonstringnon
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "devis__setQuoteStatus",
  "args": [
    "<id>",
    "<status>"
  ]
}'